## org.apache.bcel.verifier
Class VerifyDialog

    java.lang.Object
      |
      +--java.awt.Component
            |
            +--java.awt.Container
                  |
                  +--java.awt.Window
                        |
                        +--java.awt.Dialog
                              |
                              +--javax.swing.JDialog
                                    |
                                    +--org.apache.bcel.verifier.VerifyDialog

All Implemented Interfaces:
  javax.accessibility.Accessible, java.awt.image.ImageObserver, java.awt.MenuContainer, javax.swing.RootPaneContainer, java.io.Serializable, javax.swing.WindowConstants

public class VerifyDialog
extends javax.swing.JDialog

A class for simple graphical class file verification. Use the main(String []) method with fully qualified class names as arguments to use it as a stand-alone application. Use the VerifyDialog(String) constructor to use this class in your application. [This class was created using VisualAge for Java, but it does not work under VAJ itself (Version 3.02 JDK 1.2)]

Version:
  $Id: VerifyDialog.java,v 1.1.1.1 2001/10/29 20:00:33 jvanzyl Exp $
Author:
  Enver Haase
See Also:
  `main(String[])`, `VerifyDialog(String)`, Serialized Form

Inner classes inherited from class javax.swing.JDialog
`javax.swing.JDialog.AccessibleJDialog`

Inner classes inherited from class java.awt.Dialog
`java.awt.Dialog.AccessibleAWTDialog`

Inner classes inherited from class java.awt.Window
`java.awt.Window.AccessibleAWTWindow`

Inner classes inherited from class java.awt.Container
`java.awt.Container.AccessibleAWTContainer`

Inner classes inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent`

Fields inherited from class javax.swing.JDialog
`accessibleContext, rootPane, rootPaneCheckingEnabled`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface javax.swing.WindowConstants
`DISPOSE_ON_CLOSE, DO_NOTHING_ON_CLOSE, HIDE_ON_CLOSE`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`VerifyDialog()` Machine-generated.
`VerifyDialog(java.awt.Dialog owner)` Machine-generated.
`VerifyDialog(java.awt.Dialog owner, boolean modal)` Machine-generated.
`VerifyDialog(java.awt.Dialog owner, java.lang.String title)` Machine-generated.
`VerifyDialog(java.awt.Dialog owner, java.lang.String title, boolean modal)` Machine-generated.
`VerifyDialog(java.awt.Frame owner)` Machine-generated.
`VerifyDialog(java.awt.Frame owner, boolean modal)` Machine-generated.
`VerifyDialog(java.awt.Frame owner, java.lang.String title)` Machine-generated.
`VerifyDialog(java.awt.Frame owner, java.lang.String title, boolean modal)` Machine-generated.
`VerifyDialog(java.lang.String fully_qualified_class_name)` Use this constructor if you want a possibility to verify other class files than java.lang.Object.

Method Summary
`void` `flushButton_ActionPerformed(java.awt.event.ActionEvent actionEvent)` Machine-generated.
`static void` `main(java.lang.String[] args)` Verifies one or more class files.
`void` `pass1Button_ActionPerformed(java.awt.event.ActionEvent actionEvent)` Machine-generated.
`void` `pass2Button_ActionPerformed(java.awt.event.ActionEvent actionEvent)` Machine-generated.
`void` `pass4Button_ActionPerformed(java.awt.event.ActionEvent actionEvent)` Machine-generated.

Methods inherited from class javax.swing.JDialog

`addImpl, createRootPane, dialogInit, getAccessibleContext, getContentPane, getDefaultCloseOperation, getGlassPane, getJMenuBar, getLayeredPane, getRootPane, isRootPaneCheckingEnabled, paramString, processKeyEvent, processWindowEvent, remove, setContentPane, setDefaultCloseOperation, setGlassPane, setJMenuBar, setLayeredPane, setLayout, setLocationRelativeTo, setRootPane, setRootPaneCheckingEnabled, update`

Methods inherited from class java.awt.Dialog
`addNotify, dispose, getTitle, hide, isModal, isResizable, setModal, setResizable, setTitle, show`

Methods inherited from class java.awt.Window
`addWindowListener, applyResourceBundle, applyResourceBundle, finalize, getFocusOwner, getGraphicsConfiguration, getInputContext, getListeners, getLocale, getOwnedWindows, getOwner, getToolkit, getWarningString, isShowing, pack, postEvent, processEvent, removeWindowListener, setCursor, toBack, toFront`

Methods inherited from class java.awt.Container

`add, add, add, add, add, addContainerListener, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getInsets, getLayout, getMaximumSize, getMinimumSize, getPreferredSize, insets, invalidate, isAncestorOf, layout, list, list, locate, minimumSize, paint, paintComponents, preferredSize, print, printComponents, processContainerEvent, remove, removeAll, removeContainerListener, removeNotify, setFont, validate, validateTree`

Methods inherited from class java.awt.Component

`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addPropertyChangeListener, addPropertyChangeListener, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, firePropertyChange, getBackground, getBounds, getBounds, getColorModel, getComponentOrientation, getCursor, getDropTarget, getFont, getFontMetrics, getForeground, getGraphics, getHeight, getInputMethodRequests, getLocation, getLocation, getLocationOnScreen, getName, getParent, getPeer, getSize, getSize, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isDisplayable, isDoubleBuffered, isEnabled, isFocusTraversable, isLightweight, isOpaque, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, prepareImage, prepareImage, printAll, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseEvent, processMouseMotionEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, reshape, resize, resize, setBackground, setBounds, setBounds, setComponentOrientation, setDropTarget, setEnabled, setForeground, setLocale, setLocation, setLocation, setName, setSize, setSize, setVisible, show, size, toString, transferFocus`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### VerifyDialog

    public VerifyDialog()

  Machine-generated.

### VerifyDialog

    public VerifyDialog(java.awt.Dialog owner)

  Machine-generated.

### VerifyDialog

    public VerifyDialog(java.awt.Dialog owner,
                        java.lang.String title)

  Machine-generated.

### VerifyDialog

    public VerifyDialog(java.awt.Dialog owner,
                        java.lang.String title,
                        boolean modal)

  Machine-generated.

### VerifyDialog

    public VerifyDialog(java.awt.Dialog owner,
                        boolean modal)

  Machine-generated.

### VerifyDialog

    public VerifyDialog(java.awt.Frame owner)

  Machine-generated.

### VerifyDialog

    public VerifyDialog(java.awt.Frame owner,
                        java.lang.String title)

  Machine-generated.

### VerifyDialog

    public VerifyDialog(java.awt.Frame owner,
                        java.lang.String title,
                        boolean modal)

  Machine-generated.

### VerifyDialog

    public VerifyDialog(java.awt.Frame owner,
                        boolean modal)

  Machine-generated.

### VerifyDialog

    public VerifyDialog(java.lang.String fully_qualified_class_name)

  Use this constructor if you want a possibility to verify other class files than java.lang.Object.
  Parameters:
    `fully_qualified_class_name` - java.lang.String

Method Detail

### flushButton_ActionPerformed

    public void flushButton_ActionPerformed(java.awt.event.ActionEvent actionEvent)

  Machine-generated.

### main

    public static void main(java.lang.String[] args)

  Verifies one or more class files. Verification results are presented graphically: Red means 'rejected', green means 'passed' while yellow means 'could not be verified yet'.
  Parameters:
    `args` - java.lang.String[] fully qualified names of classes to verify.

### pass1Button_ActionPerformed

    public void pass1Button_ActionPerformed(java.awt.event.ActionEvent actionEvent)

  Machine-generated.

### pass2Button_ActionPerformed

    public void pass2Button_ActionPerformed(java.awt.event.ActionEvent actionEvent)

  Machine-generated.

### pass4Button_ActionPerformed

    public void pass4Button_ActionPerformed(java.awt.event.ActionEvent actionEvent)

  Machine-generated.